Index: uspace/lib/c/include/vfs/vfs.h
===================================================================
--- uspace/lib/c/include/vfs/vfs.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/include/vfs/vfs.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -57,5 +57,5 @@
 
 
-typedef struct {
+struct stat {
 	fs_handle_t fs_handle;
 	service_id_t service_id;
@@ -66,12 +66,12 @@
 	aoff64_t size;
 	service_id_t service;
-} vfs_stat_t;
+};
 
-typedef struct {
+struct statfs { 
 	char fs_name[FS_NAME_MAXLEN + 1];
 	uint32_t f_bsize;    /* fundamental file system block size */
 	uint64_t f_blocks;   /* total data blocks in file system */
 	uint64_t f_bfree;    /* free blocks in fs */
-} vfs_statfs_t;
+};
 
 /** List of file system types */
@@ -82,45 +82,45 @@
 } vfs_fstypes_t;
 
-extern errno_t vfs_fhandle(FILE *, int *);
+extern int vfs_fhandle(FILE *, int *);
 
 extern char *vfs_absolutize(const char *, size_t *);
-extern errno_t vfs_clone(int, int, bool, int *);
-extern errno_t vfs_cwd_get(char *path, size_t);
-extern errno_t vfs_cwd_set(const char *path);
+extern int vfs_clone(int, int, bool);
+extern int vfs_cwd_get(char *path, size_t);
+extern int vfs_cwd_set(const char *path);
 extern async_exch_t *vfs_exchange_begin(void);
 extern void vfs_exchange_end(async_exch_t *);
-extern errno_t vfs_fsprobe(const char *, service_id_t, vfs_fs_probe_info_t *);
-extern errno_t vfs_fstypes(vfs_fstypes_t *);
+extern int vfs_fsprobe(const char *, service_id_t, vfs_fs_probe_info_t *);
+extern int vfs_fstypes(vfs_fstypes_t *);
 extern void vfs_fstypes_free(vfs_fstypes_t *);
-extern errno_t vfs_link(int, const char *, vfs_file_kind_t, int *);
-extern errno_t vfs_link_path(const char *, vfs_file_kind_t, int *);
-extern errno_t vfs_lookup(const char *, int, int *);
-extern errno_t vfs_lookup_open(const char *, int, int, int *);
-extern errno_t vfs_mount_path(const char *, const char *, const char *,
+extern int vfs_link(int, const char *, vfs_file_kind_t, int *);
+extern int vfs_link_path(const char *, vfs_file_kind_t, int *);
+extern int vfs_lookup(const char *, int);
+extern int vfs_lookup_open(const char *, int, int);
+extern int vfs_mount_path(const char *, const char *, const char *,
     const char *, unsigned int, unsigned int);
-extern errno_t vfs_mount(int, const char *, service_id_t, const char *, unsigned,
+extern int vfs_mount(int, const char *, service_id_t, const char *, unsigned,
     unsigned, int *);
-extern errno_t vfs_open(int, int);
-extern errno_t vfs_pass_handle(async_exch_t *, int, async_exch_t *);
-extern errno_t vfs_put(int);
-extern errno_t vfs_read(int, aoff64_t *, void *, size_t, size_t *);
-extern errno_t vfs_read_short(int, aoff64_t, void *, size_t, ssize_t *);
-extern errno_t vfs_receive_handle(bool, int *);
-extern errno_t vfs_rename_path(const char *, const char *);
-extern errno_t vfs_resize(int, aoff64_t);
+extern int vfs_open(int, int);
+extern int vfs_pass_handle(async_exch_t *, int, async_exch_t *);
+extern int vfs_put(int);
+extern int vfs_read(int, aoff64_t *, void *, size_t, size_t *);
+extern int vfs_read_short(int, aoff64_t, void *, size_t, ssize_t *);
+extern int vfs_receive_handle(bool);
+extern int vfs_rename_path(const char *, const char *);
+extern int vfs_resize(int, aoff64_t);
 extern int vfs_root(void);
-extern errno_t vfs_root_set(int);
-extern errno_t vfs_stat(int, vfs_stat_t *);
-extern errno_t vfs_stat_path(const char *, vfs_stat_t *);
-extern errno_t vfs_statfs(int, vfs_statfs_t *);
-extern errno_t vfs_statfs_path(const char *, vfs_statfs_t *);
-extern errno_t vfs_sync(int);
-extern errno_t vfs_unlink(int, const char *, int);
-extern errno_t vfs_unlink_path(const char *);
-extern errno_t vfs_unmount(int);
-extern errno_t vfs_unmount_path(const char *);
-extern errno_t vfs_walk(int, const char *, int, int *);
-extern errno_t vfs_write(int, aoff64_t *, const void *, size_t, size_t *);
-extern errno_t vfs_write_short(int, aoff64_t, const void *, size_t, ssize_t *);
+extern void vfs_root_set(int);
+extern int vfs_stat(int, struct stat *);
+extern int vfs_stat_path(const char *, struct stat *);
+extern int vfs_statfs(int, struct statfs *);
+extern int vfs_statfs_path(const char *, struct statfs *);
+extern int vfs_sync(int);
+extern int vfs_unlink(int, const char *, int);
+extern int vfs_unlink_path(const char *);
+extern int vfs_unmount(int);
+extern int vfs_unmount_path(const char *);
+extern int vfs_walk(int, const char *, int);
+extern int vfs_write(int, aoff64_t *, const void *, size_t, size_t *);
+extern int vfs_write_short(int, aoff64_t, const void *, size_t, ssize_t *);
 
 #endif
Index: uspace/lib/c/include/vfs/vfs_mtab.h
===================================================================
--- uspace/lib/c/include/vfs/vfs_mtab.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/include/vfs/vfs_mtab.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -46,5 +46,5 @@
 } mtab_ent_t;
 
-extern errno_t vfs_get_mtab_list(list_t *);
+extern int vfs_get_mtab_list(list_t *);
 
 #endif
Index: uspace/lib/c/include/vol.h
===================================================================
--- uspace/lib/c/include/vol.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/include/vol.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -42,12 +42,12 @@
 #include <types/vol.h>
 
-extern errno_t vol_create(vol_t **);
+extern int vol_create(vol_t **);
 extern void vol_destroy(vol_t *);
-extern errno_t vol_get_parts(vol_t *, service_id_t **, size_t *);
-extern errno_t vol_part_add(vol_t *, service_id_t);
-extern errno_t vol_part_info(vol_t *, service_id_t, vol_part_info_t *);
-extern errno_t vol_part_empty(vol_t *, service_id_t);
-extern errno_t vol_part_get_lsupp(vol_t *, vol_fstype_t, vol_label_supp_t *);
-extern errno_t vol_part_mkfs(vol_t *, service_id_t, vol_fstype_t, const char *);
+extern int vol_get_parts(vol_t *, service_id_t **, size_t *);
+extern int vol_part_add(vol_t *, service_id_t);
+extern int vol_part_info(vol_t *, service_id_t, vol_part_info_t *);
+extern int vol_part_empty(vol_t *, service_id_t);
+extern int vol_part_get_lsupp(vol_t *, vol_fstype_t, vol_label_supp_t *);
+extern int vol_part_mkfs(vol_t *, service_id_t, vol_fstype_t, const char *);
 
 #endif
Index: uspace/lib/c/test/adt/circ_buf.c
===================================================================
--- uspace/lib/c/test/adt/circ_buf.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/test/adt/circ_buf.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -50,5 +50,5 @@
 	int i;
 	int j;
-	errno_t rc;
+	int rc;
 
 	circ_buf_init(&cbuf, buffer, buffer_size, sizeof(int));
Index: uspace/lib/c/test/io/table.c
===================================================================
--- uspace/lib/c/test/io/table.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/test/io/table.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -36,5 +36,5 @@
 PCUT_TEST(smoke) {
 	table_t *table;
-	errno_t rc;
+	int rc;
 
 	rc = table_create(&table);
Index: uspace/lib/c/test/sprintf.c
===================================================================
--- uspace/lib/c/test/sprintf.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/test/sprintf.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -28,5 +28,4 @@
 
 #include <stdio.h>
-#include <str.h>
 #include <pcut/pcut.h>
 
Index: uspace/lib/clui/nchoice.c
===================================================================
--- uspace/lib/clui/nchoice.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/clui/nchoice.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -43,8 +43,8 @@
  *
  */
-errno_t nchoice_create(nchoice_t **rchoice)
+int nchoice_create(nchoice_t **rchoice)
 {
 	nchoice_t *choice = NULL;
-	errno_t rc;
+	int rc;
 
 	choice = calloc(1, sizeof(nchoice_t));
@@ -82,5 +82,5 @@
 
 /** Set numerica choice prompt text */
-errno_t nchoice_set_prompt(nchoice_t *choice, const char *prompt)
+int nchoice_set_prompt(nchoice_t *choice, const char *prompt)
 {
 	char *pstr;
@@ -96,5 +96,5 @@
 
 /** Add option to numerical choice */
-errno_t nchoice_add(nchoice_t *choice, const char *opttext, void *arg,
+int nchoice_add(nchoice_t *choice, const char *opttext, void *arg,
     nchoice_flag_t flags)
 {
@@ -127,9 +127,8 @@
 
 /** Get numerical choice from user */
-errno_t nchoice_get(nchoice_t *choice, void **rarg)
+int nchoice_get(nchoice_t *choice, void **rarg)
 {
 	int i;
-	errno_t rc;
-	int ret;
+	int rc;
 	char *str;
 	unsigned long c;
@@ -152,6 +151,6 @@
 
 	if (def_i > 0) {
-		ret = asprintf(&istr, "%d", def_i);
-		if (ret < 0)
+		rc = asprintf(&istr, "%d", def_i);
+		if (rc < 0)
 			return ENOMEM;
 	} else {
Index: uspace/lib/clui/nchoice.h
===================================================================
--- uspace/lib/clui/nchoice.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/clui/nchoice.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -65,9 +65,9 @@
 } nchoice_t;
 
-extern errno_t nchoice_create(nchoice_t **);
+extern int nchoice_create(nchoice_t **);
 extern void nchoice_destroy(nchoice_t *);
-extern errno_t nchoice_set_prompt(nchoice_t *, const char *);
-extern errno_t nchoice_add(nchoice_t *, const char *, void *, nchoice_flag_t);
-extern errno_t nchoice_get(nchoice_t *, void **);
+extern int nchoice_set_prompt(nchoice_t *, const char *);
+extern int nchoice_add(nchoice_t *, const char *, void *, nchoice_flag_t);
+extern int nchoice_get(nchoice_t *, void **);
 
 #endif
Index: uspace/lib/clui/tinput.c
===================================================================
--- uspace/lib/clui/tinput.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/clui/tinput.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -185,5 +185,5 @@
 }
 
-static errno_t tinput_display(tinput_t *ti)
+static int tinput_display(tinput_t *ti)
 {
 	sysarg_t col0, row0;
@@ -542,5 +542,5 @@
 {
 	char *str;
-	errno_t rc = clipboard_get_str(&str);
+	int rc = clipboard_get_str(&str);
 	
 	if ((rc != EOK) || (str == NULL)) {
@@ -667,5 +667,5 @@
 	size_t cnum;
 	size_t i;
-	errno_t rc;
+	int rc;
 
 	if (ti->compl_ops == NULL)
@@ -782,5 +782,5 @@
  * @return		EOK on success, ENOMEM if out of memory.
  */
-errno_t tinput_set_prompt(tinput_t *ti, const char *prompt)
+int tinput_set_prompt(tinput_t *ti, const char *prompt)
 {
 	if (ti->prompt != NULL)
@@ -863,5 +863,5 @@
  *
  */
-errno_t tinput_read_i(tinput_t *ti, const char *istr, char **dstr)
+int tinput_read_i(tinput_t *ti, const char *istr, char **dstr)
 {
 	console_flush(ti->console);
@@ -925,5 +925,5 @@
  *
  */
-errno_t tinput_read(tinput_t *ti, char **dstr)
+int tinput_read(tinput_t *ti, char **dstr)
 {
 	return tinput_read_i(ti, "", dstr);
Index: uspace/lib/clui/tinput.h
===================================================================
--- uspace/lib/clui/tinput.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/clui/tinput.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -61,7 +61,7 @@
  * @param state		Output, pointer to a client state object.
  *
- * @return		EOK on success, error code on failure.
+ * @return		EOK on success, negative error code on failure.
  */
-typedef errno_t (*tinput_compl_init_fn)(wchar_t *text, size_t pos, size_t *cstart,
+typedef int (*tinput_compl_init_fn)(wchar_t *text, size_t pos, size_t *cstart,
     void **state);
 
@@ -76,7 +76,7 @@
  * @param compl		Output, the completion text, ownership retained.
  *
- * @return		EOK on success, error code on failure.
+ * @return		EOK on success, negative error code on failure.
  */
-typedef errno_t (*tinput_compl_get_next_fn)(void *state, char **compl);
+typedef int (*tinput_compl_get_next_fn)(void *state, char **compl);
 
 
@@ -155,9 +155,9 @@
 
 extern tinput_t *tinput_new(void);
-extern errno_t tinput_set_prompt(tinput_t *, const char *);
+extern int tinput_set_prompt(tinput_t *, const char *);
 extern void tinput_set_compl_ops(tinput_t *, tinput_compl_ops_t *);
 extern void tinput_destroy(tinput_t *);
-extern errno_t tinput_read(tinput_t *, char **);
-extern errno_t tinput_read_i(tinput_t *, const char *, char **);
+extern int tinput_read(tinput_t *, char **);
+extern int tinput_read_i(tinput_t *, const char *, char **);
 
 #endif
Index: uspace/lib/compress/gzip.c
===================================================================
--- uspace/lib/compress/gzip.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/compress/gzip.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -85,5 +85,5 @@
  *
  */
-errno_t gzip_expand(void *src, size_t srclen, void **dest, size_t *destlen)
+int gzip_expand(void *src, size_t srclen, void **dest, size_t *destlen)
 {
 	gzip_header_t header;
@@ -174,5 +174,5 @@
 		return ENOMEM;
 	
-	errno_t ret = inflate(stream, stream_length, *dest, *destlen);
+	int ret = inflate(stream, stream_length, *dest, *destlen);
 	if (ret != EOK) {
 		free(dest);
Index: uspace/lib/compress/gzip.h
===================================================================
--- uspace/lib/compress/gzip.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/compress/gzip.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -32,5 +32,5 @@
 #include <stddef.h>
 
-extern errno_t gzip_expand(void *, size_t, void **, size_t *);
+extern int gzip_expand(void *, size_t, void **, size_t *);
 
 #endif
Index: uspace/lib/compress/inflate.c
===================================================================
--- uspace/lib/compress/inflate.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/compress/inflate.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -270,5 +270,5 @@
  *
  */
-static errno_t inflate_stored(inflate_state_t *state)
+static int inflate_stored(inflate_state_t *state)
 {
 	/* Discard bits in the bit buffer */
@@ -316,5 +316,5 @@
  *
  */
-static errno_t huffman_decode(inflate_state_t *state, huffman_t *huffman,
+static int huffman_decode(inflate_state_t *state, huffman_t *huffman,
     uint16_t *symbol)
 {
@@ -418,5 +418,5 @@
  *
  */
-static errno_t inflate_codes(inflate_state_t *state, huffman_t* len_code,
+static int inflate_codes(inflate_state_t *state, huffman_t* len_code,
     huffman_t* dist_code)
 {
@@ -424,5 +424,5 @@
 	
 	do {
-		errno_t err = huffman_decode(state, len_code, &symbol);
+		int err = huffman_decode(state, len_code, &symbol);
 		if (err != EOK) {
 			/* Error decoding */
@@ -484,5 +484,5 @@
  *
  */
-static errno_t inflate_fixed(inflate_state_t *state, huffman_t *len_code,
+static int inflate_fixed(inflate_state_t *state, huffman_t *len_code,
     huffman_t *dist_code)
 {
@@ -501,5 +501,5 @@
  *
  */
-static errno_t inflate_dynamic(inflate_state_t *state)
+static int inflate_dynamic(inflate_state_t *state)
 {
 	uint16_t length[MAX_CODE];
@@ -551,5 +551,5 @@
 	while (index < nlen + ndist) {
 		uint16_t symbol;
-		errno_t err = huffman_decode(state, &dyn_len_code, &symbol);
+		int err = huffman_decode(state, &dyn_len_code, &symbol);
 		if (err != EOK)
 			return EOK;
@@ -618,5 +618,5 @@
  *
  */
-errno_t inflate(void *src, size_t srclen, void *dest, size_t destlen)
+int inflate(void *src, size_t srclen, void *dest, size_t destlen)
 {
 	/* Initialize the state */
@@ -637,5 +637,5 @@
 	
 	uint16_t last;
-	errno_t ret = EOK;
+	int ret = 0;
 	
 	do {
Index: uspace/lib/compress/inflate.h
===================================================================
--- uspace/lib/compress/inflate.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/compress/inflate.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -32,5 +32,5 @@
 #include <stddef.h>
 
-extern errno_t inflate(void *, size_t, void *, size_t);
+extern int inflate(void *, size_t, void *, size_t);
 
 #endif
Index: uspace/lib/crypto/aes.c
===================================================================
--- uspace/lib/crypto/aes.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/crypto/aes.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -459,5 +459,5 @@
  *
  */
-errno_t aes_encrypt(uint8_t *key, uint8_t *input, uint8_t *output)
+int aes_encrypt(uint8_t *key, uint8_t *input, uint8_t *output)
 {
 	if ((!key) || (!input))
@@ -511,5 +511,5 @@
  *
  */
-errno_t aes_decrypt(uint8_t *key, uint8_t *input, uint8_t *output)
+int aes_decrypt(uint8_t *key, uint8_t *input, uint8_t *output)
 {
 	if ((!key) || (!input))
Index: uspace/lib/crypto/crypto.c
===================================================================
--- uspace/lib/crypto/crypto.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/crypto/crypto.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -194,5 +194,5 @@
  *
  */
-errno_t create_hash(uint8_t *input, size_t input_size, uint8_t *output,
+int create_hash(uint8_t *input, size_t input_size, uint8_t *output,
     hash_func_t hash_sel)
 {
@@ -266,5 +266,5 @@
  *
  */
-errno_t hmac(uint8_t *key, size_t key_size, uint8_t *msg, size_t msg_size, 
+int hmac(uint8_t *key, size_t key_size, uint8_t *msg, size_t msg_size, 
     uint8_t *hash, hash_func_t hash_sel)
 {
@@ -322,5 +322,5 @@
  *
  */
-errno_t pbkdf2(uint8_t *pass, size_t pass_size, uint8_t *salt, size_t salt_size,
+int pbkdf2(uint8_t *pass, size_t pass_size, uint8_t *salt, size_t salt_size,
     uint8_t *hash)
 {
Index: uspace/lib/crypto/crypto.h
===================================================================
--- uspace/lib/crypto/crypto.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/crypto/crypto.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -30,5 +30,4 @@
 #define LIBCRYPTO_H
 
-#include <errno.h>
 #include <stddef.h>
 #include <stdint.h>
@@ -51,10 +50,10 @@
 } hash_func_t;
 
-extern errno_t rc4(uint8_t *, size_t, uint8_t *, size_t, size_t, uint8_t *);
-extern errno_t aes_encrypt(uint8_t *, uint8_t *, uint8_t *);
-extern errno_t aes_decrypt(uint8_t *, uint8_t *, uint8_t *);
-extern errno_t create_hash(uint8_t *, size_t, uint8_t *, hash_func_t);
-extern errno_t hmac(uint8_t *, size_t, uint8_t *, size_t, uint8_t *, hash_func_t);
-extern errno_t pbkdf2(uint8_t *, size_t, uint8_t *, size_t, uint8_t *);
+extern int rc4(uint8_t *, size_t, uint8_t *, size_t, size_t, uint8_t *);
+extern int aes_encrypt(uint8_t *, uint8_t *, uint8_t *);
+extern int aes_decrypt(uint8_t *, uint8_t *, uint8_t *);
+extern int create_hash(uint8_t *, size_t, uint8_t *, hash_func_t);
+extern int hmac(uint8_t *, size_t, uint8_t *, size_t, uint8_t *, hash_func_t);
+extern int pbkdf2(uint8_t *, size_t, uint8_t *, size_t, uint8_t *);
 
 extern uint16_t crc16_ibm(uint16_t crc, uint8_t *buf, size_t len);
Index: uspace/lib/crypto/rc4.c
===================================================================
--- uspace/lib/crypto/rc4.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/crypto/rc4.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -88,5 +88,5 @@
  *
  */
-errno_t rc4(uint8_t *key, size_t key_size, uint8_t *input, size_t input_size,
+int rc4(uint8_t *key, size_t key_size, uint8_t *input, size_t input_size,
     size_t skip, uint8_t *output)
 {
Index: uspace/lib/draw/codec/tga.gz.c
===================================================================
--- uspace/lib/draw/codec/tga.gz.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/draw/codec/tga.gz.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -59,5 +59,5 @@
 	size_t size_expanded;
 	
-	errno_t ret = gzip_expand(data, size, &data_expanded, &size_expanded);
+	int ret = gzip_expand(data, size, &data_expanded, &size_expanded);
 	if (ret != EOK)
 		return NULL;
Index: uspace/lib/draw/font.c
===================================================================
--- uspace/lib/draw/font.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/draw/font.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -60,13 +60,13 @@
 }
 
-errno_t font_get_metrics(font_t *font, font_metrics_t *metrics) {
+int font_get_metrics(font_t *font, font_metrics_t *metrics) {
 	return font->backend->get_font_metrics(font->backend_data, metrics);
 }
 
-errno_t font_resolve_glyph(font_t *font, wchar_t c, glyph_id_t *glyph_id) {
+int font_resolve_glyph(font_t *font, wchar_t c, glyph_id_t *glyph_id) {
 	return font->backend->resolve_glyph(font->backend_data, c, glyph_id);
 }
 
-errno_t font_get_glyph_metrics(font_t *font, glyph_id_t glyph_id,
+int font_get_glyph_metrics(font_t *font, glyph_id_t glyph_id,
     glyph_metrics_t *glyph_metrics)
 {
@@ -75,5 +75,5 @@
 }
 
-errno_t font_render_glyph(font_t *font, drawctx_t *context, source_t *source,
+int font_render_glyph(font_t *font, drawctx_t *context, source_t *source,
     sysarg_t x, sysarg_t y, glyph_id_t glyph_id)
 {
@@ -83,8 +83,8 @@
 
 /* TODO this is bad interface */
-errno_t font_get_box(font_t *font, char *text, sysarg_t *width, sysarg_t *height)
+int font_get_box(font_t *font, char *text, sysarg_t *width, sysarg_t *height)
 {
 	font_metrics_t fm;
-	errno_t rc = font_get_metrics(font, &fm);
+	int rc = font_get_metrics(font, &fm);
 	if (rc != EOK)
 		return rc;
@@ -101,5 +101,5 @@
 		rc = font_resolve_glyph(font, c, &glyph_id);
 		if (rc != EOK) {
-			errno_t rc2 = font_resolve_glyph(font, U_SPECIAL, &glyph_id);
+			int rc2 = font_resolve_glyph(font, U_SPECIAL, &glyph_id);
 			if (rc2 != EOK) {
 				return rc;
@@ -121,5 +121,5 @@
 
 /* TODO this is bad interface */
-errno_t font_draw_text(font_t *font, drawctx_t *context, source_t *source,
+int font_draw_text(font_t *font, drawctx_t *context, source_t *source,
     const char *text, sysarg_t sx, sysarg_t sy)
 {
@@ -128,5 +128,5 @@
 
 	font_metrics_t fm;
-	errno_t rc = font_get_metrics(font, &fm);
+	int rc = font_get_metrics(font, &fm);
 	if (rc != EOK)
 		return rc;
@@ -144,5 +144,5 @@
 		rc = font_resolve_glyph(font, c, &glyph_id);
 		if (rc != EOK) {
-			errno_t rc2 = font_resolve_glyph(font, U_SPECIAL, &glyph_id);
+			int rc2 = font_resolve_glyph(font, U_SPECIAL, &glyph_id);
 			if (rc2 != EOK) {
 				return rc;
Index: uspace/lib/draw/font.h
===================================================================
--- uspace/lib/draw/font.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/draw/font.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -91,8 +91,8 @@
 
 typedef struct {
-	errno_t (*get_font_metrics)(void *, font_metrics_t *);
-	errno_t (*resolve_glyph)(void *, wchar_t, glyph_id_t *);
-	errno_t (*get_glyph_metrics)(void *, glyph_id_t, glyph_metrics_t *);
-	errno_t (*render_glyph)(void *, drawctx_t *, source_t *, sysarg_t,
+	int (*get_font_metrics)(void *, font_metrics_t *);
+	int (*resolve_glyph)(void *, wchar_t, glyph_id_t *);
+	int (*get_glyph_metrics)(void *, glyph_id_t, glyph_metrics_t *);
+	int (*render_glyph)(void *, drawctx_t *, source_t *, sysarg_t,
 	    sysarg_t, glyph_id_t);
 	void (*release)(void *);
@@ -105,13 +105,13 @@
 
 extern font_t *font_create(font_backend_t *, void *);
-extern errno_t font_get_metrics(font_t *, font_metrics_t *);
-extern errno_t font_resolve_glyph(font_t *, wchar_t, glyph_id_t *);
-extern errno_t font_get_glyph_metrics(font_t *, glyph_id_t, glyph_metrics_t *);
-extern errno_t font_render_glyph(font_t *, drawctx_t *, source_t *,
+extern int font_get_metrics(font_t *, font_metrics_t *);
+extern int font_resolve_glyph(font_t *, wchar_t, glyph_id_t *);
+extern int font_get_glyph_metrics(font_t *, glyph_id_t, glyph_metrics_t *);
+extern int font_render_glyph(font_t *, drawctx_t *, source_t *,
     sysarg_t, sysarg_t, glyph_id_t);
 extern void font_release(font_t *);
 
-extern errno_t font_get_box(font_t *, char *, sysarg_t *, sysarg_t *);
-extern errno_t font_draw_text(font_t *, drawctx_t *, source_t *, const char *,
+extern int font_get_box(font_t *, char *, sysarg_t *, sysarg_t *);
+extern int font_draw_text(font_t *, drawctx_t *, source_t *, const char *,
     sysarg_t, sysarg_t);
 
Index: uspace/lib/draw/font/bitmap_backend.c
===================================================================
--- uspace/lib/draw/font/bitmap_backend.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/draw/font/bitmap_backend.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -59,5 +59,5 @@
 } bitmap_backend_data_t;
 
-static errno_t bb_get_font_metrics(void *backend_data, font_metrics_t *font_metrics)
+static int bb_get_font_metrics(void *backend_data, font_metrics_t *font_metrics)
 {
 	bitmap_backend_data_t *data = (bitmap_backend_data_t *) backend_data;
@@ -68,5 +68,5 @@
 }
 
-static errno_t bb_resolve_glyph(void *backend_data, wchar_t c, glyph_id_t *glyph_id)
+static int bb_resolve_glyph(void *backend_data, wchar_t c, glyph_id_t *glyph_id)
 {
 	bitmap_backend_data_t *data = (bitmap_backend_data_t *) backend_data;
@@ -74,5 +74,5 @@
 }
 
-static errno_t bb_get_glyph_metrics(void *backend_data, glyph_id_t glyph_id,
+static int bb_get_glyph_metrics(void *backend_data, glyph_id_t glyph_id,
     glyph_metrics_t *glyph_metrics)
 {
@@ -89,5 +89,5 @@
 	glyph_metrics_t gm;
 	
-	errno_t rc = data->decoder->load_glyph_metrics(data->decoder_data, glyph_id,
+	int rc = data->decoder->load_glyph_metrics(data->decoder_data, glyph_id,
 	    &gm);
 	if (rc != EOK)
@@ -115,5 +115,5 @@
 }
 
-static errno_t get_glyph_surface(bitmap_backend_data_t *data, glyph_id_t glyph_id,
+static int get_glyph_surface(bitmap_backend_data_t *data, glyph_id_t glyph_id,
     surface_t **result)
 {
@@ -127,5 +127,5 @@
 	
 	surface_t *raw_surface;
-	errno_t rc = data->decoder->load_glyph_surface(data->decoder_data, glyph_id,
+	int rc = data->decoder->load_glyph_surface(data->decoder_data, glyph_id,
 	    &raw_surface);
 	if (rc != EOK)
@@ -173,5 +173,5 @@
 }
 
-static errno_t bb_render_glyph(void *backend_data, drawctx_t *context,
+static int bb_render_glyph(void *backend_data, drawctx_t *context,
     source_t *source, sysarg_t ox, sysarg_t oy, glyph_id_t glyph_id)
 {
@@ -179,5 +179,5 @@
 	
 	glyph_metrics_t glyph_metrics;
-	errno_t rc = bb_get_glyph_metrics(backend_data, glyph_id, &glyph_metrics);
+	int rc = bb_get_glyph_metrics(backend_data, glyph_id, &glyph_metrics);
 	if (rc != EOK)
 		return rc;
@@ -224,5 +224,5 @@
 };
 
-errno_t bitmap_font_create(bitmap_font_decoder_t *decoder, void *decoder_data,
+int bitmap_font_create(bitmap_font_decoder_t *decoder, void *decoder_data,
     uint32_t glyph_count, font_metrics_t font_metrics, uint16_t points,
     font_t **out_font)
Index: uspace/lib/draw/font/bitmap_backend.h
===================================================================
--- uspace/lib/draw/font/bitmap_backend.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/draw/font/bitmap_backend.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -45,11 +45,11 @@
 
 typedef struct {
-	errno_t (*resolve_glyph)(void *, const wchar_t, glyph_id_t *);
-	errno_t (*load_glyph_surface)(void *, glyph_id_t, surface_t **);
-	errno_t (*load_glyph_metrics)(void *, glyph_id_t, glyph_metrics_t *);
+	int (*resolve_glyph)(void *, const wchar_t, glyph_id_t *);
+	int (*load_glyph_surface)(void *, glyph_id_t, surface_t **);
+	int (*load_glyph_metrics)(void *, glyph_id_t, glyph_metrics_t *);
 	void (*release)(void *);
 } bitmap_font_decoder_t;
 
-extern errno_t bitmap_font_create(bitmap_font_decoder_t *, void *, uint32_t,
+extern int bitmap_font_create(bitmap_font_decoder_t *, void *, uint32_t,
     font_metrics_t, uint16_t, font_t **);
 
Index: uspace/lib/draw/font/embedded.c
===================================================================
--- uspace/lib/draw/font/embedded.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/draw/font/embedded.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -44,5 +44,5 @@
 #include "bitmap_backend.h"
 
-static errno_t fde_resolve_glyph(void *unused, const wchar_t chr,
+static int fde_resolve_glyph(void *unused, const wchar_t chr,
     glyph_id_t *glyph_id)
 {
@@ -56,5 +56,5 @@
 }
 
-static errno_t fde_load_glyph_surface(void *unused, glyph_id_t glyph_id,
+static int fde_load_glyph_surface(void *unused, glyph_id_t glyph_id,
     surface_t **out_surface)
 {
@@ -75,5 +75,5 @@
 }
 
-static errno_t fde_load_glyph_metrics(void *unused, glyph_id_t glyph_id,
+static int fde_load_glyph_metrics(void *unused, glyph_id_t glyph_id,
     glyph_metrics_t *gm)
 {
@@ -106,5 +106,5 @@
 };
 
-errno_t embedded_font_create(font_t **font, uint16_t points)
+int embedded_font_create(font_t **font, uint16_t points)
 {
 	return bitmap_font_create(&fd_embedded, NULL, FONT_GLYPHS, font_metrics,
Index: uspace/lib/draw/font/embedded.h
===================================================================
--- uspace/lib/draw/font/embedded.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/draw/font/embedded.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -39,5 +39,5 @@
 #include "../font.h"
 
-extern errno_t embedded_font_create(font_t **, uint16_t points);
+extern int embedded_font_create(font_t **, uint16_t points);
 
 #endif
